#pragma once



#include <SimCore/Messages/Track.hpp>
#include <SimCore/Messages/Protos/ESMTrack.pb.h>
#include <WHISPER/Messages/Message.hpp>


namespace SimCore 
{
    class ESMTrack : public Track 
    {
        private: 
        
    


        public:
         ESMTrack(WHISPER::SourceType src,SimCore::Identifier id);

         static ESMTrack unpack(WHISPER::Message msg);

         virtual WHISPER::Message buildMessage(SimCore::Identifier parentID) override;


    };

}